## org.apache.myfaces.custom.datalist
Class HtmlDataList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  javax.faces.component.html.HtmlDataTable
                      org.apache.myfaces.component.html.ext.HtmlDataTableHack
                          org.apache.myfaces.custom.datalist.HtmlDataList

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder

public class HtmlDataList
extends HtmlDataTableHack

Version:
  $Revision: 289171 $ $Date: 2005-09-15 03:41:45 -0400 (Thu, 15 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: baranda $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIData
`COMPONENT_FAMILY`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlDataList()`

Method Summary
`java.lang.String` `getClientId(javax.faces.context.FacesContext context)`
`java.lang.String` `getLayout()`
`java.lang.String` `getOnclick()`
`java.lang.String` `getOndblclick()`
`java.lang.String` `getOnkeydown()`
`java.lang.String` `getOnkeypress()`
`java.lang.String` `getOnkeyup()`
`java.lang.String` `getOnmousedown()`
`java.lang.String` `getOnmousemove()`
`java.lang.String` `getOnmouseout()`
`java.lang.String` `getOnmouseover()`
`java.lang.String` `getOnmouseup()`
`java.lang.String` `getRowCountVar()`
`java.lang.String` `getRowIndexVar()`
`java.lang.String` `getStyle()`
`java.lang.String` `getStyleClass()`
`java.lang.String` `getTitle()`
`void` `processDecodes(javax.faces.context.FacesContext context)`
`void` `processUpdates(javax.faces.context.FacesContext context)`
`void` `processValidators(javax.faces.context.FacesContext context)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setLayout(java.lang.String layout)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`void` `setRowCountVar(java.lang.String rowCountVar)`
`void` `setRowIndex(int rowIndex)`
`void` `setRowIndexVar(java.lang.String rowIndexVar)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class org.apache.myfaces.component.html.ext.HtmlDataTableHack
`createDataModel, encodeBegin, encodeEnd, getDataModel, getRowCount, getRowData, getRowIndex, isRowAvailable, setDataModel, setValue, setValueBinding`

Methods inherited from class javax.faces.component.html.HtmlDataTable
`getBgcolor, getBorder, getCellpadding, getCellspacing, getColumnClasses, getDir, getFooterClass, getFrame, getHeaderClass, getLang, getRowClasses, getRules, getSummary, getWidth, setBgcolor, setBorder, setCellpadding, setCellspacing, setColumnClasses, setDir, setFooterClass, setFrame, setHeaderClass, setLang, setRowClasses, setRules, setSummary, setWidth`

Methods inherited from class javax.faces.component.UIData
`broadcast, getFamily, getFirst, getFooter, getHeader, getRows, getValue, getVar, queueEvent, setFirst, setFooter, setHeader, setRows, setVar`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeChildren, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlDataList

    public HtmlDataList()

Method Detail

### getClientId

    public java.lang.String getClientId(javax.faces.context.FacesContext context)

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `HtmlDataTableHack`
  See Also:
    `UIData.processUpdates(javax.faces.context.FacesContext)`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `HtmlDataTableHack`
  See Also:
    `UIData.processValidators(javax.faces.context.FacesContext)`

### setRowIndex

    public void setRowIndex(int rowIndex)

  Overrides:
    `setRowIndex` in class `HtmlDataTableHack`

### setLayout

    public void setLayout(java.lang.String layout)

### getLayout

    public java.lang.String getLayout()

### setRowIndexVar

    public void setRowIndexVar(java.lang.String rowIndexVar)

### getRowIndexVar

    public java.lang.String getRowIndexVar()

### setRowCountVar

    public void setRowCountVar(java.lang.String rowCountVar)

### getRowCountVar

    public java.lang.String getRowCountVar()

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOnclick

    public java.lang.String getOnclick()

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOndblclick

    public java.lang.String getOndblclick()

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeydown

    public java.lang.String getOnkeydown()

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeypress

    public java.lang.String getOnkeypress()

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnkeyup

    public java.lang.String getOnkeyup()

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousedown

    public java.lang.String getOnmousedown()

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmousemove

    public java.lang.String getOnmousemove()

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseout

    public java.lang.String getOnmouseout()

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseover

    public java.lang.String getOnmouseover()

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnmouseup

    public java.lang.String getOnmouseup()

### setStyle

    public void setStyle(java.lang.String style)

### getStyle

    public java.lang.String getStyle()

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getStyleClass

    public java.lang.String getStyleClass()

### setTitle

    public void setTitle(java.lang.String title)

### getTitle

    public java.lang.String getTitle()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)